import os
from setuptools import setup

try: # for pip >= 10
    from pip._internal.req import parse_requirements
except ImportError: # for pip <= 9.0.3
    from pip.req import parse_requirements

install_reqs = parse_requirements(  os.path.join(os.path.dirname(os.path.realpath(__file__)), "requirements.txt"), session=False)
reqs = [str(ir.requirement) for ir in install_reqs]


setup(
    name='BatchPrinting',
    version="0.1",
    install_requires=reqs,
)
